Skip to main content
PUT
/
signing-requests
/
{id}
curl --request PUT \ --url https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{id} \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "signing_request_properties": { "name": "Updated Contract Name", "expiration_hours": 72 }, "recipients": [ { "id": "rec1-e89b-12d3-a456-426614174000", "first_name": "John", "last_name": "Smith", "email": "john.smith@example.com", "designation": "Signer", "order": 1 }, { "first_name": "Jane", "last_name": "Doe", "email": "jane@example.com", "designation": "Signer", "order": 2 } ], "deleted_recipients": [ { "recipient_id": "rec2-e89b-12d3-a456-426614174000", "field_action": "reassign", "reassign_to_recipient_id": "rec1-e89b-12d3-a456-426614174000" } ], "fields": [ { "id": "field1-e89b-12d3-a456-426614174000", "type": "signature", "position": { "x": 15, "y": 85, "width": 30, "height": 10 }, "page_number": 1, "required": true, "recipient_id": "rec1-e89b-12d3-a456-426614174000" } ], "reminders": [ { "hours": 48, "all_users": true, "subject": "Reminder: Please sign the document", "message": "This is a reminder to complete your signature." } ] } '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "signing_request": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "document_url": "<string>",
    "document_url_expires_at": "2023-11-07T05:31:56Z",
    "document_page_count": 123,
    "status": "<string>",
    "expiration_hours": 123,
    "settings": {
      "allow_download": true,
      "attach_pdf_on_finish": true,
      "hand_drawn_only": true
    },
    "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "expires_at": "2023-11-07T05:31:56Z",
    "created_date": "2023-11-07T05:31:56Z",
    "sent_date": "2023-11-07T05:31:56Z",
    "finished_date": "2023-11-07T05:31:56Z",
    "cancelled_date": "2023-11-07T05:31:56Z"
  },
  "recipients": [
    {
      "first_name": "<string>",
      "email": "jsmith@example.com",
      "designation": "Signer",
      "id": "<string>",
      "_temp_id": "<string>",
      "template_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_name": "<string>",
      "order": 2,
      "phone_number": "<string>",
      "street_address": "<string>",
      "city": "<string>",
      "state_province": "<string>",
      "postal_code": "<string>",
      "country": "<string>",
      "title": "<string>",
      "company": "<string>",
      "custom_fields": {}
    }
  ],
  "reminders": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "hours": 2,
      "subject": "<string>",
      "message": "<string>",
      "all_users": true,
      "template_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sent_on": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "summary": {
    "properties_updated": true,
    "recipients_created": 123,
    "recipients_updated": 123,
    "recipients_deleted": 123,
    "fields_created": 123,
    "fields_updated": 123,
    "fields_reassigned": 123,
    "fields_deleted": 123,
    "reminders_created": 123,
    "reminders_updated": 123,
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Signing request ID

Body

application/json
signing_request_properties
object

Update signing request properties

recipients
object[]

Upsert recipients - include 'id' to update existing recipients, use '_temp_id' (e.g., 'temp_1') for new recipients to reference them in fields and reminders within the same request

deleted_recipients
object[]

Recipients to delete and how to handle their fields

fields
object[]

Upsert fields - include id to update, omit id to create new

reminders
object[]

Upsert reminders - include id to update, omit id to create new

Response

Signing request updated successfully. Returns the updated signing request and summary of changes made.

id
string<uuid>

Signing request ID (for backward compatibility)

name
string

Signing request name (for backward compatibility)

signing_request
object

Summary of the updated signing request (subset of full SigningRequest schema)

recipients
object[]

Updated recipients list

reminders
object[]

Updated reminders list

summary
object

Summary of all changes made in this update